Subject: bug#13308: 24.2.91; Crash when minimizing the window

From: "Fabrice Niessen" <[email-masked]>
Date: Sun, 30 Dec 2012 22:03:57 +0100

Eli,

Eli Zaretskii wrote:
>> From: "Fabrice Niessen" <[email-masked]>
>> Date: Sun, 30 Dec 2012 20:51:03 +0100
>> 
>>>> I was minimizing my Emacs window when this crash happened.
>>>
>>> Is there a repeatable recipe, or at least some instructions as to how
>>> to try to reproduce this?  I minimize my Emacs frame many times a day,
>>> and never had any crashes.
>> 
>> Nope. It's the very first time that this sort of crash happened with the
>> version 24.2.91.
>> 
>> In fact, I was minimizing Emacs while it was tangling an Org file -- now, if
>> that's somehow related or not to the problem...
>
> Maybe try that next time you do the same with Org, and see if the
> problem happens again.

I just redid the exact same steps, but could not reproduce it. Not related to
Org, maybe?

>>> This backtrace is useless, sorry.  Was your Emacs produced without
>>> debug info, per chance?
>> 
>> I'm using the binary of Dani:
>> 
>> GNU Emacs 24.2.91.1 (i386-mingw-nt5.1.2600) of 2012-12-15 on MS-W7-DANI
>> 
>> I don't know how that got produced.
>
> If you type "gdb emacs.exe", does GDB say it read symbols, or does it
> say there are no symbols?

--8<---------------cut here---------------start------------->8---
$ gdb emacs.exe
GNU gdb (GDB) 7.5.50.20120815-cvs (cygwin-special)
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-cygwin".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /cygdrive/c/Program Files/Emacs-24.2.90/bin/emacs.exe...done.
(gdb) quit
--8<---------------cut here---------------end--------------->8---

Aie, it's reading symbols from another Emacs instance (24.2.90, the first in
PATH), not the one I'm really launching (24.2.91, from a Windows shortcut).

I really would like to have a solution for my PATH to reflect whichever
shortcut I clicked on. I'll need to write a small script, instead of making a
direct link to emacs.exe. Or would there be a more straitforward solution?

Best regards,
Fabrice